<!DOCTYPE html>
<html lang="en">
  <head>
    <title>{% block title %}{% endblock %}</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />

    <!--Import jQuery-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <!--Import Google Icon Font-->
    <link
      href="https://fonts.googleapis.com/icon?family=Material+Icons"
      rel="stylesheet"
    />
    <!-- Import SweetAlert-->
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <!-- Import Feather-icons-->
    <script src="https://unpkg.com/feather-icons"></script>
    <!-- Import Stepper-->
    <link
      href="https://cdn.jsdelivr.net/npm/materialize-stepper@2.1.4/materialize-stepper.css"
      rel="stylesheet"
    />
    <!--Import materialize.css-->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css"
    />
    <link
      rel="stylesheet"
      type="text/css"
      href="{{ url_for('static', filename='css/table_styles.css') }}"
    />
    <script
      type="text/javascript"
      src="{{ url_for('static', filename='js/login.js') }}"
    ></script>
  </head>

  <body>
    <!-- Main Nav -->
    <nav>
      <div class="nav-wrapper blue">
        <label
          href="#!"
          class="brand-logo"
          style="margin-left: 15px; font-size: 24px;"
          ><img
            class="responsive-img"
            src="static/img/base-01.png"
            alt="maniaas logo"
            style="width: 101px;"
        /></label>
        <a href="#" data-target="mobile-demo" class="sidenav-trigger"
          ><i class="material-icons">menu</i></a
        >
        <ul class="right hide-on-med-and-down">
          <li><a href="#!" onclick="mostrarVM();">Mostrar VM</a></li>
          <li>
            <a href="#!" onclick="mostrarPlaybooks();">Mostrar Playbooks</a>
          </li>
          <li>
            <a href="/maniaas" onclick="eliminarCookie();"
              ><i class="material-icons">exit_to_app</i></a
            >
          </li>
        </ul>
      </div>
    </nav>

    <!--Sidenav  -->

    <ul class="sidenav" id="mobile-demo">
      <center>
        <h2>
          <img
            src="static/img/base-01.png"
            alt="maniaas logo"
            style="width: 200px;"
          />
        </h2>
      </center>
      <!-- <li><img src="https://source.unsplash.com/random/150x150" alt="" class="circle responsive-img valign user"/></li> -->

      <li class="divider"></li>
      <li>
        <a href="#!" onclick="mostrarVM();"
          ><i class="material-icons">desktop_windows</i>Mostrar VM</a
        >
      </li>
      <li class="divider"></li>
      <li>
        <a href="#!" onclick="mostrarPlaybooks();"
          ><i class="material-icons">insert_drive_file</i>Mostrar Playbooks</a
        >
      </li>
      <li class="divider"></li>
      <li>
        <a href="/maniaas" onclick="eliminarCookie();"
          ><i class="material-icons">exit_to_app</i>Logout</a
        >
      </li>
      <li class="divider"></li>
    </ul>

    {% block content %} {% endblock %}

    <!--JavaScript at end of body for optimized loading-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <script src="https://unpkg.com/materialize-stepper@3.1.0/dist/js/mstepper.min.js"></script>
    <script src="https://unpkg.com/feather-icons"></script>
    <script>
      feather.replace();
    </script>
    <script type="text/javascript">
      var cookieUser = document.cookie.slice(14);
      var arubaUser = "";
      var arubaPasswd = "";
      var stepperDiv = "";
      var stepper = "";

      $(document).ready(function () {
        $(".sidenav").sidenav();
        verificarCookie();
        if (verificarCookie() != "True") {
          window.location = "/";
        }
        $.ajax({
          method: "GET",
          url:
            "https://us-central1-tesismaniaas.cloudfunctions.net/obtener_datos_aruba?usuario=" +
            cookieUser,
          success: function (data) {
            datos = jQuery.parseJSON(data);
            for (i = 0; i < datos.length; i++) {
              arubaUser = datos[i]["ac_user"];
              arubaPasswd = datos[i]["ac_passwd"];
            }
          },
        });
      });
    </script>
  </body>
</html>
